1. Device
Anzenna Public API
  • How To Use the Anzenna Public API
  • AI Governance
    • Query all Shadow AI instances
      POST
    • Get a Shadow AI instance by id
      GET
    • Query all AI interactions
      POST
    • Get an AI interaction by id
      GET
    • List MCP servers
      POST
    • Get an MCP server
      GET
    • Query MCP server installations
      POST
  • Investigation
    • Query all investigations
      POST
    • Start an investigation
      POST
    • Get an investigation by id
      GET
    • Dismiss an investigation
      POST
    • Get detection investigation prompts
      GET
    • Get global investigation prompts
      GET
    • Get user investigation prompts
      GET
    • Query all risk registers
      POST
    • Query all risk register catalog entries
      POST
  • Identity
    • List accounts
    • Get an account by id
    • List login events
    • Get a login event by ID
    • Query all mfa statuses
    • Get an MFA status by id
    • Query all OAuth applications
    • Get an OAuth application by id
    • Query all OAuth application instances
    • Query all password reuse instances
  • Advanced
    • Execute an advanced query
    • List security events
    • Receive a webhook event
    • Query raw events
  • Detection
    • Query all allowlists
    • Create a new allowlist
    • Delete an allowlist
    • Update an allowlist
    • Get an anomaly by ID
    • Get key finding detections
    • Get detection details
    • List users associated with a given detection
    • Execute a remediation
  • Browser
    • Query all browser applications
    • Get a browser application by id
    • List browser application instances
    • List browser history entries
    • Query all remote machines
    • Get a remote machine by id
    • Query all web host resources
    • Get a web host resource by id
  • Data & IP
    • Query database exfiltration events
    • List file delete events
    • List file movement activities
    • Get file movement activity by id
    • List files used with data exfiltration.
    • Get a specific data exfiltration file
    • List git events
    • Get a specific git event by id
    • List git repositories
    • Get a specific git repository
    • List file sharing instances
    • Query database share grants
    • Query database share user additions
    • List documents
    • Get document by id
    • List DLP policies
    • Get a DLP policy by id
    • List DLP policy detectors
    • Query all DLP alerts
    • Get a DLP alert by id
  • Device
    • List devices
      POST
    • Get a device
      GET
    • List device applications
      POST
    • Get a device application
      GET
    • Query device application instances.
      POST
    • List device infections
      POST
    • Get a device infection
      GET
    • List device policies
      POST
    • Get a device policy
      GET
    • List USB device connection events
      POST
    • Get a USB connection event
      GET
    • List IDE applications
      POST
    • Get an IDE application
      GET
    • Query IDE application instances.
      POST
  • Email
    • Query all outbound email events
    • Get an outbound email event by id
    • Query all phishing interactions
  • Company
    • List groups
    • Query all people
    • Get departure analysis for a person
    • Get a person by id
    • Add a category to multiple people
    • Remove a category from multiple people
    • Get company risk trends
    • Get number of high risk organizations
  • SaaS
    • Query all Shadow IT instances
  • Outreach
    • List training campaigns
    • Create a training campaign
  • API Key
    • Get API key information
  1. Device

Get a device policy

GET
/devices/policies/{policy_id}
Get a device policy by id

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Responses

🟢200OK
application/json
Successful operation
Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/devices/policies/' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "description": "Default policy for all devices",
    "device_group_ids": [
        "8CA67511-744C-4D74-B26E-7281CF88712F"
    ],
    "id": "8CA67511-744C-4D74-B26E-7281CF88712F",
    "name": "Default Device Policy",
    "source": "unspecified"
}
Modified at 2026-10-20 18:32:30
Previous
List device policies
Next
List USB device connection events
Built with